<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <script src="/static/socket.io-client/dist/socket.io.js"></script>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    />
    <title>Document</title>
  </head>
  <body>
    <h1>this is chat instance</h1>
    <script>
      var socket = io();
      socket.on("connect", function() {
        socket.send("hi");
      });

      // intitialize the user
      socket.emit("initialize user", { name: "sharath" });
      socket.on("user initialized", data => {
        console.log("initialize", data);
      });

      // create a new group
      socket.emit(
        "create new group",
        { name: "sharath" },
        { type: "chanel", name: "dev" }
      );

      // add a new member
      socket.emit(
        "add new member",
        { name: "sharath" },
        { type: "chanel", name: "dev" },
        { name: "new user name" }
      );

      // to send chat to group
      socket.emit(
        "group chat send",
        { name: "design" },
        { date: "date", time: "time", body: "hi", from: "sharath" }
      );

      // to receive chat from group
      socket.on("group chat receive", chat => {
        console.log(chat);
      });

      socket.on("chat notification", data => {
        // use this data to count the number of chat notifications
      });

      // success notification
      socket.on("success notification", data => {
        console.log("create group", data);
      });

      // warning notification
      socket.on("warning notification", data => {
        console.log("create group", data);
      });

      // danger notification
      socket.on("danger notification", data => {
        console.log("create group", data);
      });
    </script>
  </body>
</html>
